{% extends 'index.html' %}
{% block content %}
    <!-- Modal -->
    <div class="modal fade bg-white" id="templatemo_search" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="w-100 pt-1 mb-5 text-right">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="" method="get" class="modal-content modal-body border-0 p-0">
                <div class="input-group mb-2">
                    <input type="text" class="form-control" id="inputModalSearch" name="q" placeholder="Search ...">
                    <button type="submit" class="input-group-text bg-success text-light">
                        <i class="fa fa-fw fa-search text-white"></i>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <!-- Open Content -->
    <section class="bg-light">
        <div class="container pb-5">
            <div class="row">
                <div class="col-lg-5 mt-5">
                    <div class="card mb-3">
                        {% if product.main_image %}
                        <img class="card-img img-fluid" src="{{product.main_image.url}}" alt="Card image cap" id="product-detail">
                        {% endif %}
                    </div>
                    <div class="row">
                        <!--Start Controls-->
                        <div class="col-1 align-self-center">
                            <a href="#multi-item-example" role="button" data-bs-slide="prev">
                                <i class="text-dark fas fa-chevron-left"></i>
                                <span class="sr-only">Previous</span>
                            </a>
                        </div>
                        <!--End Controls-->
                        <!--Start Carousel Wrapper-->
                        <div id="multi-item-example" class="col-10 carousel slide carousel-multi-item" data-bs-ride="carousel">
                            <!--Start Slides-->
                            <div class="carousel-inner product-links-wap" role="listbox">

                                <!--First slide-->
                                <div class="carousel-item active">
                                    <div class="row">
                                        {% for image in images %}
                                        <div class="col-4">
                                            <a href="#multi-item-example" role="button" data-bs-slide="prev">
                                                <img class="card-img img-fluid" src="{{image.media_link.url}}" alt="Product Image">
                                            </a>
                                        </div>
                                        {% endfor %}
                                    </div>
                                </div>
                                <!--/.First slide-->

                            </div>
                            <!--End Slides-->
                        </div>
                        <!--End Carousel Wrapper-->
                        <!--Start Controls-->
                        <div class="col-1 align-self-center">
                            <a href="#multi-item-example" role="button" data-bs-slide="next">
                                <i class="text-dark fas fa-chevron-right"></i>
                                <span class="sr-only">Next</span>
                            </a>
                        </div>
                        <!--End Controls-->
                    </div>
                </div>
                <!-- col end -->
                <div class="col-lg-7 mt-5">
                    <div class="card">
                        <div class="card-body">
                            <h1 class="h2">{{product.prod_name}}</h1>
                            <p class="h3 py-2">{{product.price}} UAH</p>
                                <ul class="list-inline">
                                <li class="list-inline-item">
                                    <h6>Material:</h6>
                                </li>
                                <li class="list-inline-item">
                                    <p class="text-muted"><strong>{{ product.get_material_display }}</strong></p>
                                </li>
                            </ul>
                            <ul class="list-inline">
                                <li class="list-inline-item">
                                    <h6>Fineness:</h6>
                                </li>
                                <li class="list-inline-item">
                                    <p class="text-muted"><strong>{{product.fineness}}</strong></p>
                                </li>
                            </ul>
                             <ul class="list-inline">
                                <li class="list-inline-item">
                                    <h6>Weight:</h6>
                                </li>
                                <li class="list-inline-item">
                                    <p class="text-muted"><strong>{{product.weight}} g</strong></p>
                                </li>
                            </ul>
                               <ul class="list-inline">
                                <li class="list-inline-item">
                                    <h6>Diameter:</h6>
                                </li>
                                <li class="list-inline-item">
                                    <p class="text-muted"><strong>{{product.diameter}} mm</strong></p>
                                </li>
                            </ul>
                                  <ul class="list-inline">
                                <li class="list-inline-item">
                                    <h6>Description:</h6>
                                </li>
                                <li class="list-inline-item">
                                    <p class="text-muted"><strong>{{product.description}}</strong></p>
                                </li>
                            </ul>

                            <form action="" method="GET">
                                <input type="hidden" name="product-title" value="Activewear">
                                <div class="row">

                                    <div class="col-auto">
                                        <ul class="list-inline pb-3">
                                            <li class="list-inline-item text-right">
                                                Quantity
                                                <input type="hidden" name="product-quanity" id="product-quanity" value="1">
                                            </li>
                                            <li class="list-inline-item"><span class="btn btn-success" id="btn-minus">-</span></li>
                                            <li class="list-inline-item"><span class="badge bg-secondary" id="var-value">1</span></li>
                                            <li class="list-inline-item"><span class="btn btn-success" id="btn-plus">+</span></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="row pb-3">
                                    <div class="col d-grid">
                                        <button type="submit" class="btn btn-success btn-lg" name="submit" value="buy">Buy</button>
                                    </div>
                                    <div class="col d-grid">
                                        <button type="submit" class="btn btn-success btn-lg" name="submit" value="addtocard">Add To Cart</button>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Close Content -->

{% endblock %}